Name: python-module-pygtk
Version: 2.6.1
Release: alt1

Summary: Python bindings for the GTK+ widget set

Group: Development/Python
License: LGPL
Url: http://www.pygtk.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

%define gtk_version 2.6.0
%define glade_version 2.3.6

Source: http://ftp.gnome.org/pub/GNOME/sources/pygtk/2.5/pygtk-%version.tar.bz2
#Patch: pygtk-%version-changeapi.patch

%setup_python_module pygtk

%add_python_req_skip gdk
%add_python_lib_path  %python_sitelibdir/gtk-2.0

%add_findprov_lib_path %python_sitelibdir/gtk-2.0
%add_findprov_lib_path %python_sitelibdir/gtk-2.0/gtk

Provides: pygtk2 = %version-%release
Obsoletes: pygtk2

Provides: python%__python_version(argtypes)

BuildPreReq: rpm-build-python

# manually removed: eric gcc-g77  ?? gcc-c++ libstdc++-devel
# Automatically added by buildreq on Sun Mar 20 2005
BuildRequires: common-licenses fontconfig freetype2 gcc-c++ glib2-devel hostinfo libatk-devel libglade2-devel libgtk+2-devel libpango-devel libstdc++-devel libxml2-devel pkgconfig python-base python-dev python-module-Numeric-devel python-modules-compiler python-modules-encodings xorg-x11-devel xorg-x11-libs

BuildRequires: libgtk+2-devel >= %gtk_version
BuildRequires: libglade2-devel >= %glade_version

%description
PyGTK is an extension module for python that gives you access to the GTK+
widget set.  Just about anything you can write in C with GTK+ you can write
in python with PyGTK (within reason), but with all the benefits of python.


%package libglade
Summary: A wrapper for the libglade library for use with PyGTK
Group: Development/Python
Requires: %name = %version-%release libglade2
Provides: pygtk2-libglade
Obsoletes: pygtk2-libglade
Provides: python%__python_version(libglade)

%description libglade
This module contains a wrapper for the libglade library.  Libglade allows
a program to construct its user interface from an XML description, which
allows the programmer to keep the UI and program logic separate.


%package devel
Summary: files needed to build wrappers for GTK+ addon libraries
Group: Development/Python
Requires: %name = %version-%release
Provides: pygtk2-devel = %version-%release
Obsoletes: pygtk2-devel

%description devel
This package contains files required to build wrappers for GTK+ addon
libraries so that they interoperate with pygtk.


%package examples
Summary: pygtk2 examples
Group: Development/Python
Requires: %name-libglade = %version-%release
Provides: pygtk2-examples
Obsoletes: pygtk2-examples

%description examples
This package contains pygtk2 examples

%package demo
Summary: pygtk2 demo
Group: Development/Python

%description demo
This package contains pygtk2 demo

%prep
%setup -q -n pygtk-%version
%__rm -f COPYING
%__ln_s %_licensedir/LGPL-2.1 COPYING
#%patch 

%build
#%%__autoconf
%configure --disable-static --prefix=%prefix
%make_build

%install
%makeinstall

%files
%doc AUTHORS NEWS README MAPPING ChangeLog PKG-INFO THREADS TODO
%doc --no-dereference COPYING
%python_sitelibdir/gtk-2.0
%exclude %python_sitelibdir/gtk-2.0/gtk/glade.so
%python_sitelibdir/pygtk.*

%files examples
%doc examples/*

%files demo
%_bindir/pygtk-demo
%_libdir/pygtk

%files libglade
%python_sitelibdir/gtk-2.0/gtk/glade.so

%files devel
%_bindir/pygtk-codegen-2.0
%_includedir/pygtk-2.0
%_libdir/pkgconfig/*
%_datadir/pygtk

%changelog
* Sun Mar 20 2005 Vitaly Lipatov <lav@altlinux.ru> 2.6.1-alt1
- new version
- build with python 2.4

* Mon Jan 24 2005 Vitaly Lipatov <lav@altlinux.ru> 2.5.3-alt1
- new version

* Sat Dec 18 2004 Vitaly Lipatov <lav@altlinux.ru> 2.5.0-alt3
- remove gtk_cell_view_set_value (due GTK API changes in 2.6.0)

* Thu Dec 16 2004 Vitaly Lipatov <lav@altlinux.ru> 2.5.0-alt2
- add fix GTK API change (fix problem marked in bug #5678)

* Sat Dec 04 2004 Vitaly Lipatov <lav@altlinux.ru> 2.5.0-alt1
- new version

* Sun Nov 07 2004 Vitaly Lipatov <lav@altlinux.ru> 2.4.1-alt1.1
- rebuild

* Sat Nov 06 2004 Mikhail Zabaluev <mhz@altlinux.ru> 2.4.1-alt1
- Added module directories to %%_findprov_lib_path

* Fri Nov 05 2004 Mikhail Zabaluev <mhz@altlinux.ru> 2.4.1-alt0.1
- Updated to 2.4.1
- Versioned dependencies as required by configure
- Buildreq
- Spec cleanup

* Fri Jul 23 2004 Vitaly Lipatov <lav@altlinux.ru> 2.3.94-alt1
- new version

* Fri Jul 23 2004 Vitaly Lipatov <lav@altlinux.ru> 2.3.93-alt2
- backport libglade from 2.3.92 (broken XML)

* Tue Jul 20 2004 Vitaly Lipatov <lav@altlinux.ru> 2.3.93-alt1
- new version

* Thu Jul 15 2004 Vitaly Lipatov <lav@altlinux.ru> 2.3.92-alt1
- new version (from unstable 2.4)

* Tue Jul 13 2004 Vitaly Lipatov <lav@altlinux.ru> 2.2.0-alt1
- renamed
- spec cleanup (according to python policy)
- remove COPYING
- new version

* Mon Feb 09 2004 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt5
- python23 build
- separate package for examples
- changed group to Development/Python
- added gl.so

Packager: Egor S. Orlov
* Wed Oct 29 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt4
- Added python22 requires
- Aded _gtk.so to the package

* Thu Oct 23 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt3
- Added URL

* Thu Oct 23 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt2
- hasher build
- added gtkglarea2(-devel) dependency

* Mon Sep 29 2003 Egor S. Orlov <oes@altlinux.ru> 2.0.0-alt1
- New version

* Tue Nov 12 2002 AEN <aen@altlinux.ru> 1.99.12-alt1
- first build for Sisyphus

* Thu Oct 31 2002 Matt Wilson <msw@redhat.com>
- rebuild for multilib
- use %%configure

* Fri Aug 30 2002 Matt Wilson <msw@redhat.com>
- fix pixbuf leaks (#72137)
- five more pixbuf leaks plugged

* Wed Aug 28 2002 Jonathan Blandford <jrb@redhat.com>
- remover Packager tag

* Tue Aug 27 2002 Jonathan Blandford <jrb@redhat.com>
- add binding for gdk_atom_intern

* Mon Jul 29 2002 Matt Wilson <msw@redhat.com>
- 0.99.12

* Wed Jul 17 2002 Matt Wilson <msw@redhat.com>
- new version from CVS

* Thu Jun 27 2002 Tim Waugh <twaugh@redhat.com>
- Fix bug #65770.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jun 17 2002 Matt Wilson <msw@redhat.com>
- new version from CVS

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 22 2002 Jeremy Katz <katzj@redhat.com>
- 1.99.10

* Wed Feb 27 2002 Matt Wilson <msw@redhat.com>
- 1.99.8

* Mon Jan 28 2002 Matt Wilson <msw@redhat.com>
- added atkmodule.so to file list

* Thu Oct 18 2001 Matt Wilson <msw@redhat.com>
- fix devel filelist to match new header location

* Mon Oct 15 2001 Matt Wilson <msw@redhat.com>
- get the headers from their new version-specific location

* Thu Oct 11 2001 Matt Wilson <msw@redhat.com>
- fixed typo in devel filelist
- added macro that tests to see if we have libglade2, make the
  filelist a condition of that
- changed name to 'pygtk2' to avoid name conflict with pygtk
